## net.i2p.router
Class Shitlist

    java.lang.Object
      net.i2p.router.Shitlist

    public class Shitlist

extends java.lang.Object

Routers are shitlisted only if none of our transports can talk to them or their signed router info is completely screwy. Individual transports manage their own unreachable lists and do not generally add to the overall shitlist.

Field Summary
`static long` `SHITLIST_DURATION_MS`

Constructor Summary
`Shitlist(RouterContext context)`

Method Summary
`int` `getRouterCount()`
`boolean` `isShitlisted(Hash peer)`
`boolean` `isShitlisted(Hash peer, java.lang.String transport)`
`void` `renderStatusHTML(java.io.Writer out)`
`boolean` `shitlistRouter(Hash peer)`
`boolean` `shitlistRouter(Hash peer, java.lang.String reason)`
`boolean` `shitlistRouter(Hash peer, java.lang.String reason, java.lang.String transport)`
`void` `unshitlistRouter(Hash peer)`
`void` `unshitlistRouter(Hash peer, java.lang.String transport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHITLIST_DURATION_MS

    public static final long SHITLIST_DURATION_MS

See Also:
  Constant Field Values

Constructor Detail

### Shitlist

    public Shitlist(RouterContext context)

Method Detail

### getRouterCount

    public int getRouterCount()

### shitlistRouter

    public boolean shitlistRouter(Hash peer)

### shitlistRouter

    public boolean shitlistRouter(Hash peer,
                                  java.lang.String reason)

### shitlistRouter

    public boolean shitlistRouter(Hash peer,
                                  java.lang.String reason,
                                  java.lang.String transport)

### unshitlistRouter

    public void unshitlistRouter(Hash peer)

### unshitlistRouter

    public void unshitlistRouter(Hash peer,
                                 java.lang.String transport)

### isShitlisted

    public boolean isShitlisted(Hash peer)

### isShitlisted

    public boolean isShitlisted(Hash peer,
                                java.lang.String transport)

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`